Bug 1319771 - Pages fail to render due to RHSA-2016-0455 [NEEDINFO]
Summary: Pages fail to render due to RHSA-2016-0455
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.1.7
Hardware: Unspecified
OS: Unspecified
unspecified
urgent vote
Target Milestone: Unspecified
Assignee: Mike McCune
QA Contact: Sachin Ghai
URL:
Whiteboard:
: 1319563 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-21 13:37 UTC by Mike McCune
Modified: 2019-11-14 07:38 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-22 15:44:55 UTC
Target Upstream Version:
sghai: needinfo? (mmccune)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0475 normal SHIPPED_LIVE Satellite 6.1.8 bug fix update 2016-03-22 19:42:56 UTC

Description Mike McCune 2016-03-21 13:37:17 UTC
Various pages in the UI throw an error when trying to view them:

2016-03-21 12:55:19 [I] Deface: 1 overrides found for 'taxonomies/index'
2016-03-21 12:55:19 [I] Deface: 'override_taxonomy_actions' matched 1
times with 'code[erb-loud]:contains("action_buttons")'
2016-03-21 12:55:19 [I] Completed 500 Internal Server Error in 94ms
2016-03-21 12:55:19 [F]
ActionView::MissingTemplate (Missing partial
../overrides/foreman/taxonomies/action_buttons with {:locale=>[:en],
:formats=>[:html], :handlers=>[:erb, :builder, :haml, :rabl]}. Searched in:
   * "/usr/share/foreman/app/views"
   * 

This is due to more Rails updates that came in RHSA-2016-0455:

https://rhn.redhat.com/errata/RHSA-2016-0455.html

Comment 4 Corey Welton 2016-03-21 20:55:13 UTC
Affected pages seem to be ok/rendering in 6.1.8 compose #2.  Will check logs a little deeper in a bit, but things are looking good so far.

Comment 5 Sachin Ghai 2016-03-22 02:59:36 UTC
I upgraded the 6.1.7 on rhel7 box where the issue mentioned in bz description was reproducible. Upgrade was completed successfully. I've checked all the logs. I don't see any error/exception.


After upgrade, I navigate to various webUI pages, like new host/hostgroup/host-collection/manage org/location. I navigated all menu options once and everything looks good from webUI. No error appears in logs while navigating different webUI pages.

I'll perform some basic operations and check same on another sat6 installed on rhel6

Comment 7 Sachin Ghai 2016-03-22 08:21:01 UTC
Just to ensure, if everything works on rhel6, I upgraded the sat 6.1.7 with 6.1.8 compose2 on rhel6 and upgrade was completed successfully.

I can browse all webUI pages without any issue.

Comment 8 Sachin Ghai 2016-03-22 08:24:58 UTC
On another setup, I got following error on enabling 'Red Hat' repos:

2016-03-22 04:17:31 [E] CDN loading error: access forbidden to https://cdn.redhat.com:443/content/dist/rhel/server/7/listing (Katello::Errors::SecurityViolation)
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.85/app/lib/katello/resources/cdn.rb:109:in `rescue in get'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.85/app/lib/katello/resources/cdn.rb:83:in `get'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.85/app/lib/katello/util/cdn_var_substitutor.rb:164:in `get_substitutions_from'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.85/app/lib/katello/util/cdn_var_substitutor.rb:154:in `for_each_substitute_of_next_var'

It disappears when I refreshed the manifest. Looks like its a CDN issue, but still would like to double check with dev.

Comment 9 Paul Seymour 2016-03-22 11:25:00 UTC
I am also seeing this. It affects attempts to view hosts from "All Hosts", "Locations", "Organizations" and some others.

2016-03-22 10:22:31 [I] Processing by HostsController#show as HTML
2016-03-22 10:22:31 [I]   Parameters: {"id"=>"brprdrhs001.iggroup.local"}
2016-03-22 10:22:31 [I] Deface: 1 overrides found for 'hosts/show'
2016-03-22 10:22:31 [I] Deface: 'add_system_link_to_host' matched 1 times with 'td:first'
2016-03-22 10:22:31 [I] Completed 500 Internal Server Error in 167ms
2016-03-22 10:22:31 [F]
ActionView::MissingTemplate (Missing partial ../overrides/foreman/hosts/subscription_link with {:locale=>[:en], :formats=>[:html], :handlers=>[:erb, :builder, :haml, :rabl]}. Searched in:
  * "/usr/share/foreman/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/redhat_access-0.2.4/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.83/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/bastion-0.3.0.10/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/foreman_discovery-2.0.0.23/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/foreman_bootdisk-4.0.2.14/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/foreman-tasks-0.6.15.7/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/foreman_docker-1.2.0.24/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.5/app/views"
):
  app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'
  lib/middleware/catch_json_parse_errors.rb:9:in `call'


Would a "yum downgrade" of the ruby packages mentioned in this errata return functionality ?

Comment 10 Paul Seymour 2016-03-22 11:39:32 UTC
I have downgraded the 4 packages and re-ran "katello-installer --upgrade" etc. and all is now working again.

Comment 11 Sachin Ghai 2016-03-22 13:53:16 UTC
Looks like issue pointed in comment8 was manifest specific. I just generated a new manifest and tried to import it on two different system and I don't see any issue while enabling the Red Hat repos.

Moving this bz to verified as per comment 4,5,6 and 7.

Comment 12 errata-xmlrpc 2016-03-22 15:44:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:0475

Comment 13 Tomer Brisker 2016-05-30 07:18:50 UTC
*** Bug 1319563 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.